ZZIP_DIRHANDLE(3)

NAME
zzip_dirhandle, zzip_dirfd - get handle.

SYNOPSIS

#include <zzip/lib.h>

ZZIP_DIR * zzip_dirhandle((ZZIP_FILE * fp));

int zzip_dirfd((ZZIP_DIR * dir));

DESCRIPTION

The zzip_dirhandle function will just return the fp->dir value.

If a ZZIP_FILE is contained within a zip-file that one will be a valid pointer, otherwise a NULL is returned and the ZZIP_FILE wraps a real file.

The zzip_dirfd function will just return dir->fd

If a ZZIP_DIR does point to a zipfile then the file-descriptor of that zipfile is returned, otherwise a NULL is returned and the ZZIP_DIR wraps a real directory DIR (if you have dirent on your system).

AUTHOR

    • Guido Draheim <guidod@gmx.de>

COPYRIGHT

Copyright (c) Guido Draheim, use under copyleft (LGPL,MPL)